<template>
  <v-app id="mainMenu">
    <v-app-bar
      absolute
      color="#1B396A"
      dark
      app
      shrink-on-scroll
      dense
      src="https://picsum.photos/1920/1080?random"
      fade-img-on-scroll
      scroll-target="#scrolling-techniques-5"
      scroll-threshold="200"
    >
      <template v-slot:img="{ props }">
        <v-img v-bind="props" gradient="to top right, rgba(27,57,106,.7), rgba(25,32,72,.7)"></v-img>
      </template>
      <v-toolbar-title>Inicio</v-toolbar-title>
      <v-spacer></v-spacer>
      <v-btn text @click="salir()">Cerrar sesión</v-btn>
    </v-app-bar>

    <v-content id="scrolling-techniques-5" class="overflow-y-auto" max-height="600">
      <v-container fluid style="height: 200px;">
        <v-row align="center" justify="center">
          <v-col class="text-center">
            <slot name="contenido"></slot>
          </v-col>
        </v-row>
      </v-container>
    </v-content>
    
  </v-app>
</template>

<script>
import firebase from "firebase";
export default {
  props: {
    source: String,
  },
  data: () => ({
    drawer: null,
    bottomNav: '1',
  }),
  methods: {
    salir() {
      firebase
        .auth()
        .signOut()
        .then(function() {
          // Sign-out successful.
        })
        .catch(function(error) {
          // An error happened.
        });
      location.href = "/";
    }
  }
};
</script>
